Jump to content

MediaWiki:Common.css: Difference between revisions

From Heroes Wiki
Content deleted Content added
mNo edit summary
No edit summary
 
Line 47: Line 47:
.toclimit-7 .toclevel-6 ul {
.toclimit-7 .toclevel-6 ul {
display: none;
display: none;
}

/* Hatnotes and disambiguation notices */
.hatnote {
font-style: italic;
}
.hatnote i {
font-style: normal;
}
div.hatnote {
/* @noflip */
padding-left: 1.6em;
margin-bottom: 0.5em;
}
div.hatnote + div.hatnote {
margin-top: -0.5em;
}

/* Make the list of references smaller */
ol.references,
div.reflist,
div.refbegin {
font-size: 90%; /* Default font-size */
margin-bottom: 0.5em;
}
/* Hanging indentation for Template:Refbegin */
div.refbegin-hanging-indents > ul {
list-style-type: none;
margin-left: 0;
}
/* Definition list version is deprecated */
div.refbegin-hanging-indents > ul > li,
div.refbegin-hanging-indents > dl > dd {
margin-left: 0;
padding-left: 3.2em;
text-indent: -3.2em;
list-style: none;
}
div.refbegin-100 {
font-size: 100%; /* Option for normal fontsize in {{refbegin}} */
}
div.reflist ol.references {
font-size: 100%; /* Reset font-size when nested in div.reflist */
margin-bottom: 0; /* Avoid double margin when nested in div.reflist */
list-style-type: inherit; /* Enable custom list style types */
}

/* Ensure refs in table headers and the like aren't bold or italic */
sup.reference {
font-weight: normal;
font-style: normal;
}

/* Allow hidden ref errors to be shown by user CSS */
span.brokenref {
display: none;
}

/* Hanging indentation for Template:Refbegin */
.refbegin-hanging-indents > ul {
list-style-type: none;
margin-left: 0;
}
.refbegin-hanging-indents > ul > li,
.refbegin-hanging-indents > dl > dd {
margin-left: 0;
padding-left: 3.2em;
text-indent: -3.2em;
list-style: none;
}
}

Latest revision as of 20:01, 15 February 2026

/* CSS placed here will be applied to all skins */

@font-face {
   font-family: heroes;
   font-style: normal;
   src: url('HEROES.ttf') format('truetype'),
}

dl dt  {
	font-family: heroes;
}

.mw-changeslist-legend dl dt {
	font-family: inherit;
}

/* Effets dégradés : utilisables pour un effet ombragé dans les modèles de cadre (par exemple : [[Portail:Montréal/Cadre]]). Ceux-ci ne doivent pas dépasser 43 pixels de hauteur au risque d'y voir un effet indésirable. Note : les effets en PNG ne sont pas résolus par IE6 et moins. Dernière mise à jour : 4 février 2010 */
/* Ombragé, fond transparent (png) */
.degrade       { background-image: url("//upload.wikimedia.org/wikipedia/commons/f/fb/Gradient_43px.png"); background-position:top; background-repeat:repeat-x;}
.degrade_rev   { background-image: url("//upload.wikimedia.org/wikipedia/commons/6/61/Gradient_reversed_43px.png"); background-position:top; background-repeat:repeat-x;}
/* Ombragé, gris fond blanc (jpg) */
.ombre         { background-image: url("//upload.wikimedia.org/wikipedia/commons/e/ea/BGblue1_phixr.jpg"); background-position:top; background-repeat:repeat-x;}
.ombre_pale    { background-image: url("//upload.wikimedia.org/wikipedia/commons/0/06/BGblue2_phixr.jpg"); background-position:top; background-repeat:repeat-x;}
/* Coloré, bleu/rouge fond blanc (jpg) */
.ombre_bl     { background-image: url("//upload.wikimedia.org/wikipedia/commons/3/3e/BGblue1.jpg"); background-position:top; background-repeat:repeat-x;}
.ombre_blpale { background-image: url("//upload.wikimedia.org/wikipedia/commons/f/f7/BGblue2.jpg"); background-position:top; background-repeat:repeat-x;}
.ombre_rg     { background-image: url("//upload.wikimedia.org/wikipedia/commons/3/30/BGred1.jpg"); background-position:top; background-repeat:repeat-x;}
.ombre_rgpale { background-image: url("//upload.wikimedia.org/wikipedia/commons/8/8f/BGred2.jpg"); background-position:top; background-repeat:repeat-x;}

td.cast {
	vertical-align: top;
	text-align: right;
	padding-right: 15px;
}

/*
 * Allow limiting of which header levels are shown in a TOC;
 * <div class="toclimit-3">, for instance, will limit to
 * showing ==headings== and ===headings=== but no further.
 * Used in [[Template:TOC]]
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
	display: none;
}

/* Hatnotes and disambiguation notices */
.hatnote {
    font-style: italic;
}
.hatnote i {
    font-style: normal;
}
div.hatnote {
    /* @noflip */
    padding-left: 1.6em;
    margin-bottom: 0.5em;
}
div.hatnote + div.hatnote {
    margin-top: -0.5em;
}

/* Make the list of references smaller */
ol.references,
div.reflist,
div.refbegin {
	font-size: 90%;            /* Default font-size */
	margin-bottom: 0.5em;
}
/* Hanging indentation for Template:Refbegin */
div.refbegin-hanging-indents > ul {
	list-style-type: none;
	margin-left: 0;
}
/* Definition list version is deprecated */
div.refbegin-hanging-indents > ul > li,
div.refbegin-hanging-indents > dl > dd {
	margin-left: 0;
	padding-left: 3.2em;
	text-indent: -3.2em;
	list-style: none;
}
div.refbegin-100 {
	font-size: 100%;           /* Option for normal fontsize in {{refbegin}} */
}
div.reflist ol.references {
	font-size: 100%;           /* Reset font-size when nested in div.reflist */
	margin-bottom: 0;          /* Avoid double margin when nested in div.reflist */
	list-style-type: inherit;  /* Enable custom list style types */
}

/* Ensure refs in table headers and the like aren't bold or italic */
sup.reference {
	font-weight: normal;
	font-style: normal;
}

/* Allow hidden ref errors to be shown by user CSS */
span.brokenref {
	display: none;
}

/* Hanging indentation for Template:Refbegin */
.refbegin-hanging-indents > ul {
	list-style-type: none;
	margin-left: 0;
}
.refbegin-hanging-indents > ul > li,
.refbegin-hanging-indents > dl > dd {
	margin-left: 0;
	padding-left: 3.2em;
	text-indent: -3.2em;
	list-style: none;
}